org.eclipse.jetty.server.session

## Class JDBCSessionManager.Session

- java.lang.Object
- - org.eclipse.jetty.server.session.AbstractSession
  - - org.eclipse.jetty.server.session.JDBCSessionManager.Session

All Implemented Interfaces:
  javax.servlet.http.HttpSession, AbstractSessionManager.SessionIf

Enclosing class:
  JDBCSessionManager

    public class JDBCSessionManager.Session
    extends AbstractSession

Session Session instance.

### Constructor Summary

Constructors
`protected` `JDBCSessionManager.Session(javax.servlet.http.HttpServletRequest request)` Session from a request.
`protected` `JDBCSessionManager.Session(String sessionId, String rowId, long created, long accessed)` Session restored from database

### Method Summary

Methods
`protected boolean` `access(long time)` Entry to session.
`protected void` `complete()` Exit from session
`protected void` `cookieSet()`
`String` `getCanonicalContext()`
`long` `getCookieSet()`
`long` `getExpiryTime()`
`String` `getLastNode()`
`long` `getLastSaved()`
`protected String` `getRowId()`
`String` `getVirtualHost()`
`void` `removeAttribute(String name)`
`void` `setAttribute(String name, Object value)`
`void` `setCanonicalContext(String str)`
`void` `setCookieSet(long ms)`
`void` `setExpiryTime(long time)`
`void` `setLastNode(String node)`
`void` `setLastSaved(long time)`
`protected void` `setRowId(String rowId)`
`void` `setVirtualHost(String vhost)`
`protected void` `timeout()`
`String` `toString()`

### Methods inherited from class org.eclipse.jetty.server.session.AbstractSession

`addAttributes, bindValue, checkValid, clearAttributes, didActivate, doGet, doInvalidate, doPutOrRemove, getAccessed, getAttribute, getAttributeMap, getAttributeNames, getAttributes, getClusterId, getCookieSetTime, getCreationTime, getId, getLastAccessedTime, getMaxInactiveInterval, getNames, getNodeId, getRequests, getServletContext, getSession, getSessionContext, getValue, getValueNames, invalidate, isIdChanged, isNew, isValid, putValue, removeValue, setIdChanged, setLastAccessedTime, setMaxInactiveInterval, setRequests, unbindValue, willPassivate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JDBCSessionManager.Session

    protected JDBCSessionManager.Session(javax.servlet.http.HttpServletRequest request)

Session from a request.

Parameters:
  `request` -

#### JDBCSessionManager.Session

    protected JDBCSessionManager.Session(String sessionId,
                              String rowId,
                              long created,
                              long accessed)

Session restored from database

Parameters:
  `sessionId` -
  `rowId` -
  `created` -
  `accessed` -

### Method Detail

#### getRowId

    protected String getRowId()

#### setRowId

    protected void setRowId(String rowId)

#### setVirtualHost

    public void setVirtualHost(String vhost)

#### getVirtualHost

    public String getVirtualHost()

#### getLastSaved

    public long getLastSaved()

#### setLastSaved

    public void setLastSaved(long time)

#### setExpiryTime

    public void setExpiryTime(long time)

#### getExpiryTime

    public long getExpiryTime()

#### setCanonicalContext

    public void setCanonicalContext(String str)

#### getCanonicalContext

    public String getCanonicalContext()

#### setCookieSet

    public void setCookieSet(long ms)

#### getCookieSet

    public long getCookieSet()

#### setLastNode

    public void setLastNode(String node)

#### getLastNode

    public String getLastNode()

#### setAttribute

    public void setAttribute(String name,
                    Object value)

Specified by:
  `setAttribute` in interface `javax.servlet.http.HttpSession`
Overrides:
  `setAttribute` in class `AbstractSession`

#### removeAttribute

    public void removeAttribute(String name)

Specified by:
  `removeAttribute` in interface `javax.servlet.http.HttpSession`
Overrides:
  `removeAttribute` in class `AbstractSession`

#### cookieSet

    protected void cookieSet()

Overrides:
  `cookieSet` in class `AbstractSession`

#### access

    protected boolean access(long time)

Entry to session. Called by SessionHandler on inbound request and the session already exists in this node's memory.

Overrides:
  `access` in class `AbstractSession`
See Also:
  `AbstractSession.access(long)`

#### complete

    protected void complete()

Exit from session

Overrides:
  `complete` in class `AbstractSession`
See Also:
  `AbstractSession.complete()`

#### timeout

    protected void timeout()
                    throws IllegalStateException

Overrides:
  `timeout` in class `AbstractSession`
Throws:
  `IllegalStateException`

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractSession`